Bug 101839 - [PATCH] devel/p5-Term-ProgressBar: Respect DESTDIR and EXAMPLESDIR
Summary: [PATCH] devel/p5-Term-ProgressBar: Respect DESTDIR and EXAMPLESDIR
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Mathieu Arnold
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-08-11 20:00 UTC by gslin
Modified: 2006-08-14 13:20 UTC (History)
1 user (show)

See Also:


Attachments
p5-Term-ProgressBar-2.09.patch (2.48 KB, patch)
2006-08-11 20:00 UTC, gslin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description gslin 2006-08-11 20:00:37 UTC
- Respect DESTDIR
- Respect EXAMPLESDIR
- Reformat Makefile

Generated with FreeBSD Port Tools 0.77
Comment 1 Edwin Groothuis freebsd_committer 2006-08-11 20:00:51 UTC
Responsible Changed
From-To: freebsd-ports-bugs->perl

Over to maintainer
Comment 2 Mathieu Arnold freebsd_committer 2006-08-14 11:28:12 UTC
Responsible Changed
From-To: perl->mat

Take
Comment 3 Mathieu Arnold freebsd_committer 2006-08-14 11:47:01 UTC
State Changed
From-To: open->closed

I did not commit the reformating thing, it's generally considered a *bad thing* 
when changing other things, because it makes it pretty harder to see what's 
really happening.
Comment 4 gslin 2006-08-14 12:59:32 UTC
Hi,

It's only 8 lines about stripping tabs so I don't think it's hard to
see what's happen.  Also, I documented all in description.

If you think it's still problem, ou might commit twice to record this,
or set feedback to ask me send another patch.

On Mon, Aug 14, 2006 at 10:51:28AM +0000, Mathieu Arnold wrote:
> Synopsis: [PATCH] devel/p5-Term-ProgressBar: Respect DESTDIR and EXAMPLESDIR
> 
> State-Changed-From-To: open->closed
> State-Changed-By: mat
> State-Changed-When: Mon Aug 14 10:47:01 UTC 2006
> State-Changed-Why: 
> I did not commit the reformating thing, it's generally considered a *bad thing*
> when changing other things, because it makes it pretty harder to see what's
> really happening.
> 
> http://www.freebsd.org/cgi/query-pr.cgi?pr=101839

===> Generating patch
===> Viewing diff with less
diff -ruN --exclude=CVS /usr/ports/devel/p5-Term-ProgressBar/Makefile /home/staff/gslin/work/p5-Term-ProgressBar/Makefile
--- /usr/ports/devel/p5-Term-ProgressBar/Makefile	Fri Dec  2 05:00:42 2005
+++ /home/staff/gslin/work/p5-Term-ProgressBar/Makefile	Mon Aug 14 19:56:58 2006
@@ -19,7 +19,6 @@
 			${SITE_PERL}/${PERL_ARCH}/Term/ReadKey.pm:${PORTSDIR}/devel/p5-Term-ReadKey
 RUN_DEPENDS=		${BUILD_DEPENDS}
 
-EXAMPLESDIR?=		${PREFIX}/share/examples/${PORTNAME}
 PERL_CONFIGURE=		yes
 
 MAN3=			Term::ProgressBar.3
diff -ruN --exclude=CVS /usr/ports/devel/p5-Term-ProgressBar/pkg-plist /home/staff/gslin/work/p5-Term-ProgressBar/pkg-plist
--- /usr/ports/devel/p5-Term-ProgressBar/pkg-plist	Sun Jan 22 09:48:18 2006
+++ /home/staff/gslin/work/p5-Term-ProgressBar/pkg-plist	Mon Aug 14 19:57:32 2006
@@ -1,10 +1,10 @@
 %%SITE_PERL%%/Term/ProgressBar.pm
 %%SITE_PERL%%/%%PERL_ARCH%%/auto/Term-ProgressBar/.packlist
-%%PORTDOCS%%share/examples/Term-ProgressBar/powers
-%%PORTDOCS%%share/examples/Term-ProgressBar/powers2
-%%PORTDOCS%%share/examples/Term-ProgressBar/powers3
-%%PORTDOCS%%share/examples/Term-ProgressBar/powers4
-%%PORTDOCS%%share/examples/Term-ProgressBar/powers5
-%%PORTDOCS%%@dirrm share/examples/Term-ProgressBar
+%%PORTDOCS%%%%EXAMPLESDIR%%/powers
+%%PORTDOCS%%%%EXAMPLESDIR%%/powers2
+%%PORTDOCS%%%%EXAMPLESDIR%%/powers3
+%%PORTDOCS%%%%EXAMPLESDIR%%/powers4
+%%PORTDOCS%%%%EXAMPLESDIR%%/powers5
+%%PORTDOCS%%@dirrm %%EXAMPLESDIR%%
 @dirrmtry %%SITE_PERL%%/%%PERL_ARCH%%/auto/Term-ProgressBar
 @dirrmtry %%SITE_PERL%%/Term
===> Done

-- 
* Gea-Suan Lin  (public key: Using https://keyserver.pgp.com/ to search)
* If you cannot convince them, confuse them.           -- Harry S Truman
Comment 5 Mathieu Arnold freebsd_committer 2006-08-14 13:15:46 UTC
+-le 14/08/2006 19:59 +0800, Gea-Suan Lin a dit :
| Hi,
| 
| It's only 8 lines about stripping tabs so I don't think it's hard to
| see what's happen.  Also, I documented all in description.
| 
| If you think it's still problem, ou might commit twice to record this,
| or set feedback to ask me send another patch.

Yes, but the fact is that if you'd have changed other things on those lines,
it'd have been hard to see.
The fact that it is or is not documented in description is not relevent
there, the thing is that it's purely white space changes, make doesn't care
about it, and it adds unnecessary things to the repository.

-- 
Mathieu Arnold